body {margin: 0;
      padding: 0;
      background-image: url('../images/fond.jpg');
      background-size: cover;
      -webkit-background-size: cover;
      background-attachment: fixed;
      background-repeat: no-repeat;
      background-position: bottom right;}

@media screen and (max-width: 800px) {
    body {
        background-image: url('../images/fond2.jpg');
    }
}

.logo {display: block;
       margin-left: auto;
       margin-right: auto;}

@media screen and (max-device-width: 800px) {
    .logo {width: 100% !important;}
}

@media screen {
      .logo {width: 50%;}
}

.panel{
    margin-top: 20px!important;
}

.smiley{
    display: block;
    margin: auto;
    width:75%;
    max-width: 15vh;
    -webkit-transition: width 1s; /* Safari */
    transition: width 1s;

    -webkit-filter: grayscale(80%);
    filter: grayscale(80%);
}

.button{
    position: absolute !important;
    bottom: 35px !important;
}

input:checked + label .smiley {
    max-width: 20vh;
    width:100% !important;
    -webkit-filter: grayscale(0%) !important;
    filter: grayscale(0%) !important;
}

input[type=radio] {
    display: none;
}

.progress-bar-star{
    background-color: #ffdb3b !important;
}

.progress-bar-star-stripped{
    background-image:-webkit-linear-gradient(
            45deg,rgba(255,255,255,.15) 25%,
            transparent 25%,
            transparent 50%,
            rgba(255,255,255,.15) 50%,
            rgba(255,255,255,.15) 75%,
            transparent 75%,transparent);
    background-image:-o-linear-gradient(45deg,rgba(255,255,255,.15) 25%,
    transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);background-image:linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent)
}


.input-hide{
    position:absolute;
    -webkit-appearance:none;
    top:0; left:0;
    opacity:0;
    width:100%;
    height: 100%;
}


.input-image{
    display:block;
    max-width:100%;
    height:inherit;
    margin:auto;
    opacity:0;
}

.col-center-block {
    float: none !important;
    display: block;
    margin-left: auto;
    margin-right: auto;
}
.ui-loader{
    display: none;
}


.sidelink{
    width: 100%;
    color: white;
    background-color: #2F4F4F;
    z-index: 1000;
    height: 100vh;
    position: fixed !important;
    font-family: Calibri, Arial, sans-serif;
    text-align: center;
    font-size: 2em;
}

.sidelink:hover {background-color: #245269;
                 color: white;}

.sidelink span{
    vertical-align:middle;
    display:inline-block;
    line-height:normal;

    width: 200px;
    position: absolute !important;

    font-size: 1em;
    overflow: hidden;

    -webkit-transform-origin: 0 0;
    -moz-transform-origin: 0 0;
    -ms-transform-origin: 0 0;
    -o-transform-origin: 0 0;
    transform-origin: 0 0;

}

.sidelink-left span{


    margin-top: 250px !important;
    width: 250px !important;

    left: 0vw;
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    transform: rotate(-90deg);
}
.sidelink-right span{
    /*margin-bottom: 8em;*/
    /*left: 0vw;*/

    right: 0px;
    left: 100%;

    -webkit-transform: rotate(90deg);
    -moz-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    transform: rotate(90deg);
}
/*STYLE DU PANNEAU ADMIN*/

.titreAdmin, .sousTitreAdmin {text-align: center;
                            margin: auto;
                            font-family: Calibri, Arial, sans-serif;
                            width: 100%;
                            word-wrap: break-word;/*A REVOIR*/
                            -ms-word-wrap: break-word;
                            color: #2F4F4F;}

.titreAdmin {font-weight: bold;
            margin-top: 40px;}

.sousTitreAdmin {font-weight: lighter;
                margin-top: 10px;}

#barre {width: 80%;
    margin-left: auto;
    margin-right: auto;
    margin-top: 40px;}

#barreAff {font-size: 30px;}

#labelBarre {max-width: 100px;
    margin: auto;
    display: block;
    text-align: center;}

.panel-bordure {border-color: black;}

h3 {text-align: center;}

.divCentr {text-align: center;
    max-height: 200px;
    padding-bottom: 10px;}

.labelIn {float: none !important;
    text-align :center;
    padding: 0;}

.imgVign {display: block;
    margin: auto;
    width: 80%;
}

.cercle {display: block;
    margin: auto;
    width: 80%;
    -webkit-transition: width 1s;
    transition: width 1s;
    -webkit-filter: grayscale(80%);
    filter: grayscale(80%);}

input:checked + label .cercle {
    width: 70% !important;
    -webkit-filter: grayscale(0%) !important;
    filter: grayscale(0%) !important;}

#divStockage {text-align: center;}

#messageErreurDisques, #messageErreurStock, #disquesDispos {display: none;
                width: 80%;
                margin: auto;}

.list-group-item {padding: 0 !important;
                  text-align: left !important;}

.premiereInfoDisque {border-top: none !important;
                     border-left: none !important;
                     border-right: none !important;}

.inputDisque {display: inline-block !important;}

.infoDisque:not(.derniereInfoDisque) {border-bottom: none !important;}

.infoDisque {text-indent: 6%;
            border-top: none !important;
            border-right: none !important;}

.list-group {border: none !important;}

.infoDisque > h4 {}

.infoDisque > span {background-color: #2F4F4F;}

.derniereInfoDisque {padding-bottom: 5px !important;}

#champCloud {width: 100%;
             margin: auto;
             display: none;}

#champCloud label {float: left;
                  display: inline-block;}

#champCloud input {border: solid 2px #2F4F4F !important;}

#champCloud label:not(#lastChampCloud) {margin-right: 5px;}

#champCloud label span {color: black;
                          border: solid 1px #2F4F4F !important;
                          background-color: white;}

.labelCloud img {width: 35%;
                 margin-bottom: 10px;}

.labelCloud {width: 32%;}

input:checked + .labelCloud span {
    color: white !important;
    background-color: #2F4F4F !important;
}

.imgCloudConnecte {width: 30%;
                    float: left;
                    margin-right: 20px;}

.spanCloudConnecte {background-color: #2F4F4F !important;
                    color: white !important;}

#divCloudConnecte {width: 90% !important;}

#deconnexionCloud {float: right;}

input[type=checkbox] {display: none;}

.checkon { display: block!important; }

#labelEth {width: 60%;}

#imgEth {width: 100%;
    max-width: 400px;
    border-radius: 5px;}

.labelTrans {width: 50%;
    text-align: left;
    margin-left: 20px;}

.labelTrans:hover {margin-left: 20px;}

.labelTrans > p {margin: auto;
    width: 80%;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    float: left;}

input:checked + .labelTrans i {
    color: red;
    margin-left: 10px;
}

input:checked + .labelEtat .cercle {opacity: 1;}
.etatCercle {opacity: 0.8;}

#sidelinkReglages, #sidelinkStatistiques {
                   height: 100vh;
                   position: fixed;
                   font-family: Calibri, Arial, sans-serif;
                   text-align: center;
                   font-size: 2em;
}

#sidelinkReglages span, #sidelinkStatistiques span {
                        vertical-align:middle;
                       display:inline-block;
                       line-height:normal;
                        margin-top: 8em;

                        position: absolute;
                        left: 0vw;

                        font-size: 1em;
                        overflow: hidden;

                        -webkit-transform-origin: 0 0;
                        -moz-transform-origin: 0 0;
                        -ms-transform-origin: 0 0;
                        -o-transform-origin: 0 0;
                        transform-origin: 0 0;
                        -webkit-transform: rotate(-90deg);
                        -moz-transform: rotate(-90deg);
                        -ms-transform: rotate(-90deg);
                        -o-transform: rotate(-90deg);
                        transform: rotate(-90deg);

}

#nbPhotos {font-size: 4em;}

.diagramme {
    font-size: 0.75em;
    height: 20em;
    width: 90%;
    list-style-type: none;
    margin: 0;
}

.diagramme li {
    position: relative;
    float: left;
    width: 100%;
    height: 2em;
    margin-bottom: 40px;
}

.diagramme li div {
    display: block;
    height: 100%;
}

.diagramme li .label {
    display: block;
    position: absolute;
    bottom: -2em;
    left: 0;
    background: #fff;
    width: 100%;
    height: 2em;
    line-height: 2em;
    color: black;
    text-align: left;
}

.diagramme li div .count {
    display: block;
    bottom: 0;
    left: 0;
    height: 100%;
    width: 0;
    background: #AAA;
    text-indent: -9999px;
    overflow: hidden;
    border: 1px solid black;
}

.diagramme li:hover {
    background: #EFEFEF;
}

.diagramme li div:hover .count {
    background: #2D7BB2;
    border: none;
}

.li2 {margin-bottom: 0 !important;}

.count1 {background: #D9534F !important;}
.count2 {background: #F0AD4E !important;}
.count3 {background: #FFDB3B !important;}
.count4 {background: #5CB85C !important;}

.count1, .count2, .count3, .count4 {width: 100% !important;}

pre {background: none !important;
     border: none !important;
     padding: 1px !important;}

.coulLegendeN {background: #D9534F;}
.coulLegendeS {background: #F0AD4E;}
.coulLegendeC {background: #FFDB3B;}
.coulLegendeG {background: #5CB85C;}

.legende {overflow: hidden !important;
          margin-top: 160px !important;
          border: none !important;}

.legende td {border: none !important;
            text-align: center;
            padding: 2px !important;}

.legende .coulLegende {color: white;}

#titreLegende {text-align: center;
                font-weight: bold;
                padding-bottom: 15px !important;}

.cellCentr {width: 10px !important;}

#boutonReglages {margin-top: 30px;}

/****ICONES VIGNETTES***/

.icon {
    background-color: white;
    color: darkred;
    border-radius: 50%;
    position: absolute !important;
    top: 5px !important;
    right: 5px;
    opacity: 0;
    font-size: 20px!important;
}

input:checked + label .icon{
    -webkit-filter: grayscale(0%) !important;
    filter: grayscale(0%) !important;
    opacity: 100;
    transition: opacity 0.5s;
}
input:checked + .labelVign {
    -webkit-filter: grayscale(80%) !important;
    filter: grayscale(80%) !important;
}
.labelVign{
    height: 150px !important;
    width: 150px !important;
    background-color: black;
}
.labelVign>img{
    height: 100%!important;
    width: 100% !important;
}
.no-padding{
    padding: 0px !important;
}

#divVignettes {text-align: center;
               max-width: 550px;
               margin-left: auto;
               margin-right: auto;}

.pagination {padding-right: 5px;
             padding-left: 5px !important;
             font-size: 20px;}

.pagination a {border: 1px solid black;
              border-radius: 50%;
              padding-left: 5px;
              padding-right: 5px;
              color: black;
              background: transparent;
              transition: background 0.5s;}

.pagination a:link {text-decoration: none;}

.pagination:hover a {color: white;
                     background-color: black;
                     transition: background 0.5s;}


.message > div{
    margin-top: 30vh;
    text-align: center;
}

.message{

    position: absolute !important;
    width: 100% !important;
    height: 100% !important;
    z-index: 1;
    background-color: rgba(0,0,0,0.4)!important;
}

.panel-body{
    display: block;
}
.btn-form{
    position: relative;
    width: 50%;
    margin-left:25%;
}
.btnfix{
    margin-left: -30px;

}

.no-margin{
    margin: 0px !important;
}

.leg{
    margin: 5px;
}

li.leg{
    width: 10em;
    padding-left: 20px !important;
    padding-right: 20px !important;
}

#demarche {margin-left: 15px;}

.iconAdmin {font-size: 30px !important;
            color: #2F4F4F;}

.panel-default {background-color: rgba(255,255,255,0.5) !important;
                border: white solid 2px !important;}

.divPanneauAdmin {width: 90%;
    margin: auto;
    background-color: white !important;}

.ligneDisque {border-bottom: 1px solid #2F4F4F;}


/******* POUR LES TRANSITIONS ********/

.form-group input[type="checkbox"] {
    display: none;
}

.form-group input[type="checkbox"] + .btn-group > label span {
    width: 20px;
}

.form-group input[type="checkbox"] + .btn-group > label span:first-child {
    display: none;
}
.form-group input[type="checkbox"] + .btn-group > label span:last-child {
    display: inline-block;
}

.form-group input[type="checkbox"]:checked + .btn-group > label span:first-child {
    display: inline-block;
}
.form-group input[type="checkbox"]:checked + .btn-group > label span:last-child {
    display: none;
}

.btn-transition {background-color: #2F4F4F !important;}

.champPass {width: 50% !important;
           margin: auto;
           border: 1px solid #2F4F4F !important;}